org.apache.fop.fo

## Class UnknownXMLObj.Maker

- java.lang.Object
- - org.apache.fop.fo.ElementMapping.Maker
  - - org.apache.fop.fo.UnknownXMLObj.Maker

- Enclosing class:
    UnknownXMLObj

      public static class UnknownXMLObj.Maker
      extends ElementMapping.Maker

  Inner class for an UnknownXMLObj Maker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker(java.lang.String ns)` Construct the Maker

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FONode` | `make(FONode parent)` Make an instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker(java.lang.String ns)

      Construct the Maker
      Parameters:
        `ns` - the namespace for this Maker

  - ### Method Detail

    - #### make

          public FONode make(FONode parent)

      Make an instance
      Overrides:
        `make` in class `ElementMapping.Maker`
      Parameters:
        `parent` - FONode that is the parent of the object
      Returns:
        the created UnknownXMLObj

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.